lin 4 years ago
parent
commit
f6247e3df8
27 changed files with 1226 additions and 19 deletions
  1. 1 0
      meter-reading-common/src/main/java/com/huaxu/zoniot/model/DeviceData.java
  2. 1 1
      meter-reading-job/src/main/java/com/huaxu/zoniot/job/BuildingSyncJob.java
  3. 1 1
      meter-reading-job/src/main/java/com/huaxu/zoniot/job/CommunitySyncJob.java
  4. 1 1
      meter-reading-job/src/main/java/com/huaxu/zoniot/job/MeterFileSyncJob.java
  5. 2 1
      meter-reading-job/src/main/java/com/huaxu/zoniot/service/CcrcService.java
  6. 1 1
      meter-reading-job/src/main/java/com/huaxu/zoniot/service/impl/MeterFileSyncServiceImpl.java
  7. 1 0
      meter-reading-job/src/main/resources/application-job-dev.properties
  8. 14 7
      meter-reading-job/src/main/resources/application-job-prd.properties
  9. 14 7
      meter-reading-job/src/main/resources/application-job-sit.properties
  10. 22 0
      meter-reading-job/src/test/java/com/huaxu/zoniot/RestTest.java
  11. 33 0
      meter-reading-suntront/.gitignore
  12. 310 0
      meter-reading-suntront/mvnw
  13. 182 0
      meter-reading-suntront/mvnw.cmd
  14. 95 0
      meter-reading-suntront/pom.xml
  15. 13 0
      meter-reading-suntront/src/main/java/com/zoniot/suntront/MeterReadingSuntrontApplication.java
  16. 68 0
      meter-reading-suntront/src/main/java/com/zoniot/suntront/config/SwaggerConfig.java
  17. 37 0
      meter-reading-suntront/src/main/java/com/zoniot/suntront/controller/ReadingMeterController.java
  18. 201 0
      meter-reading-suntront/src/main/java/com/zoniot/suntront/repository/MeterReadRecord.java
  19. 11 0
      meter-reading-suntront/src/main/java/com/zoniot/suntront/repository/MeterReadRecordRepository.java
  20. 12 0
      meter-reading-suntront/src/main/java/com/zoniot/suntront/service/ReadingMeterService.java
  21. 50 0
      meter-reading-suntront/src/main/java/com/zoniot/suntront/service/impl/ReadingMeterServiceImpl.java
  22. 44 0
      meter-reading-suntront/src/main/resources/application-dev.properties
  23. 37 0
      meter-reading-suntront/src/main/resources/application-prd.properties
  24. 37 0
      meter-reading-suntront/src/main/resources/application-sit.properties
  25. 2 0
      meter-reading-suntront/src/main/resources/application.properties
  26. 23 0
      meter-reading-suntront/src/main/resources/logback-spring.xml
  27. 13 0
      meter-reading-suntront/src/test/java/com/zoniot/suntront/MeterReadingSuntrontApplicationTests.java

+ 1 - 0
meter-reading-common/src/main/java/com/huaxu/zoniot/model/DeviceData.java

@@ -21,6 +21,7 @@ public class DeviceData {
     private String locDesc;
     private Double meterReading;
     private Integer valveStatus;
+    private Integer deviceStatus;
     private Integer status;
     @JSONField(format="yyyy-MM-dd HH:mm:ss")
     private Date lastReceiveTime;

+ 1 - 1
meter-reading-job/src/main/java/com/huaxu/zoniot/job/BuildingSyncJob.java

@@ -21,7 +21,7 @@ public class BuildingSyncJob {
     @XxlJob("buildingSyncJobHandler")
     public ReturnT<String> buildingSyncJobHandler(String param) throws Exception {
         XxlJobLogger.log("XXL-JOB, device Sync Job.Param = {}",param);
-        Map<String,Object> paramMap = JSON.parseObject(param , Map.class);
+        //Map<String,Object> paramMap = JSON.parseObject(param , Map.class);
         int total = buildingSyncService.rabbitSync();
         XxlJobLogger.log("XXL-JOB, Meter File Sync Job Finished. Total = {}",total);
         return ReturnT.SUCCESS;

+ 1 - 1
meter-reading-job/src/main/java/com/huaxu/zoniot/job/CommunitySyncJob.java

@@ -22,7 +22,7 @@ public class CommunitySyncJob {
     @XxlJob("communitySyncJobHandler")
     public ReturnT<String> communitySyncJobHandler(String param) throws Exception {
         XxlJobLogger.log("XXL-JOB, device Sync Job.Param = {}",param);
-        Map<String,Object> paramMap = JSON.parseObject(param , Map.class);
+        //Map<String,Object> paramMap = JSON.parseObject(param , Map.class);
         int total = communitySyncService.rabbitSync();
         XxlJobLogger.log("XXL-JOB, Meter File Sync Job Finished. Total = {}",total);
         return ReturnT.SUCCESS;

+ 1 - 1
meter-reading-job/src/main/java/com/huaxu/zoniot/job/MeterFileSyncJob.java

@@ -49,7 +49,7 @@ public class MeterFileSyncJob {
     @XxlJob("deviceSyncJobHandler")
     public ReturnT<String> deviceSyncJobHandler(String param) throws Exception {
         XxlJobLogger.log("XXL-JOB, device Sync Job.Param = {}",param);
-        Map<String,Object> paramMap = JSON.parseObject(param , Map.class);
+        //Map<String,Object> paramMap = JSON.parseObject(param , Map.class);
         int total = meterFileSyncService.rabbitSync();
         XxlJobLogger.log("XXL-JOB, Meter File Sync Job Finished. Total = {}",total);
         return ReturnT.SUCCESS;

+ 2 - 1
meter-reading-job/src/main/java/com/huaxu/zoniot/service/CcrcService.java

@@ -20,8 +20,9 @@ public class CcrcService {
 
     public List<Integer> getCustomerIds(){
         String url = ccrcUrl+"/api/external/getSiteCustomerIds";
-        ResponseEntity<String> responseEntity = restTemplate.getForEntity(url,String.class);
+        ResponseEntity<String> responseEntity = restTemplate.postForEntity(url,null,String.class);
         JSONObject jsonObject = JSONObject.parseObject(responseEntity.getBody());
+        log.info("getCustomerIds {}",responseEntity.getBody());
         if(jsonObject.getInteger("status")==0){
             return jsonObject.getJSONArray("data").toJavaList(Integer.class);
         }

+ 1 - 1
meter-reading-job/src/main/java/com/huaxu/zoniot/service/impl/MeterFileSyncServiceImpl.java

@@ -275,7 +275,7 @@ public class MeterFileSyncServiceImpl  implements MeterFileSyncService {
 
     @Override
     public int rabbitSync() {
-
+        log.info("device rabbitSync");
         List<Integer> customerIds = ccrcService.getCustomerIds();
 
         if (customerIds != null && customerIds.size() > 0) {

+ 1 - 0
meter-reading-job/src/main/resources/application-job-dev.properties

@@ -28,6 +28,7 @@ spring.rabbitmq.listener.direct.acknowledge-mode=manual
 spring.rabbitmq.listener.simple.acknowledge-mode=manual
 # �������
 job.task.rabbit.exchange=job-task-exchange
+
 spring.rabbitmq.exchange=sync-handler-exchange
 spring.rabbitmq.device.queue=sync-device-handler-queue
 spring.rabbitmq.community.queue=sync-community-handler-queue

+ 14 - 7
meter-reading-job/src/main/resources/application-job-prd.properties

@@ -2,7 +2,7 @@ server.port=8081
 server.servlet.context-path=/meter/reading/job
 logging.level.root=info
 logging.file.path=./logs
-#########################################XXL Job配置#################################################
+#########################################XXL Job锟斤拷锟斤拷#################################################
 xxl.job.admin.addresses=http://10.0.0.71:8081/xxl-job-admin
 xxl.job.accessToken=
 xxl.job.executor.appname=meter-reading-executor
@@ -11,20 +11,27 @@ xxl.job.executor.ip=
 xxl.job.executor.port=18081
 xxl.job.executor.logpath=/home/app/prd/meter-reading-job/xxl-job/jobhandler
 xxl.job.executor.logretentiondays=30
-#########################################Rabbit MQ 配置#############################################
+#########################################Rabbit MQ 锟斤拷锟斤拷#############################################
 spring.rabbitmq.host=47.112.217.10
 spring.rabbitmq.port=5672
 spring.rabbitmq.username=zoniot
 spring.rabbitmq.password=zcxk100
 spring.rabbitmq.virtual-host=/
 spring.rabbitmq.connection-timeout=1000ms
-# 开启发送确认
+# 锟斤拷锟斤拷锟斤拷锟斤拷确锟斤拷
 spring.rabbitmq.publisher-confirm-type=correlated
-# 开启发送失败退回
+# 锟斤拷锟斤拷锟斤拷锟斤拷失锟斤拷锟剿伙拷
 spring.rabbitmq.publisher-returns=true
 spring.rabbitmq.template.mandatory=true
-# 开启ACK
+# 锟斤拷锟斤拷ACK
 spring.rabbitmq.listener.direct.acknowledge-mode=manual
 spring.rabbitmq.listener.simple.acknowledge-mode=manual
-# 任务队列
-job.task.rabbit.exchange=job-task-exchange
+# 锟斤拷锟斤拷锟斤拷锟�
+job.task.rabbit.exchange=job-task-exchange
+
+spring.rabbitmq.exchange=sync-handler-exchange
+spring.rabbitmq.device.queue=sync-device-handler-queue
+spring.rabbitmq.community.queue=sync-community-handler-queue
+spring.rabbitmq.building.queue=sync-building-handler-queue
+
+ccrc.url=http://10.0.0.153:8099

+ 14 - 7
meter-reading-job/src/main/resources/application-job-sit.properties

@@ -2,7 +2,7 @@ server.port=8081
 server.servlet.context-path=/meter/reading/job
 logging.level.root=info
 logging.file.path=./logs
-#########################################XXL Job配置#################################################
+#########################################XXL Job锟斤拷锟斤拷#################################################
 xxl.job.admin.addresses=http://10.0.0.156:8081/xxl-job-admin
 xxl.job.accessToken=
 xxl.job.executor.appname=meter-reading-executor
@@ -11,20 +11,27 @@ xxl.job.executor.ip=
 xxl.job.executor.port=18081
 xxl.job.executor.logpath=/opt/sit/meter-reading-job/xxl-job/jobhandler
 xxl.job.executor.logretentiondays=30
-#########################################Rabbit MQ 配置#############################################
+#########################################Rabbit MQ 锟斤拷锟斤拷#############################################
 spring.rabbitmq.host=114.135.61.188
 spring.rabbitmq.port=55672
 spring.rabbitmq.username=zoniot
 spring.rabbitmq.password=zcxk100
 spring.rabbitmq.virtual-host=/
 spring.rabbitmq.connection-timeout=1000ms
-# 开启发送确认
+# 锟斤拷锟斤拷锟斤拷锟斤拷确锟斤拷
 spring.rabbitmq.publisher-confirm-type=correlated
-# 开启发送失败退回
+# 锟斤拷锟斤拷锟斤拷锟斤拷失锟斤拷锟剿伙拷
 spring.rabbitmq.publisher-returns=true
 spring.rabbitmq.template.mandatory=true
-# 开启ACK
+# 锟斤拷锟斤拷ACK
 spring.rabbitmq.listener.direct.acknowledge-mode=manual
 spring.rabbitmq.listener.simple.acknowledge-mode=manual
-# 任务队列
-job.task.rabbit.exchange=job-task-exchange
+# 锟斤拷锟斤拷锟斤拷锟�
+job.task.rabbit.exchange=job-task-exchange
+
+spring.rabbitmq.exchange=sync-handler-exchange
+spring.rabbitmq.device.queue=sync-device-handler-queue
+spring.rabbitmq.community.queue=sync-community-handler-queue
+spring.rabbitmq.building.queue=sync-building-handler-queue
+
+ccrc.url=http://10.0.0.153:8099

+ 22 - 0
meter-reading-job/src/test/java/com/huaxu/zoniot/RestTest.java

@@ -0,0 +1,22 @@
+package com.huaxu.zoniot;
+
+import com.alibaba.fastjson.JSONObject;
+import lombok.extern.slf4j.Slf4j;
+import org.junit.Test;
+import org.springframework.http.ResponseEntity;
+import org.springframework.web.client.RestTemplate;
+
+@Slf4j
+public class RestTest {
+
+    @Test
+    public void test(){
+        RestTemplate restTemplate = new RestTemplate();
+        String ccrcUrl = "http://10.0.0.153:8099";
+        String url = ccrcUrl+"/api/external/getSiteCustomerIds";
+        ResponseEntity<String> responseEntity = restTemplate.postForEntity(url,null,String.class);
+        JSONObject jsonObject = JSONObject.parseObject(responseEntity.getBody());
+        log.info("getCustomerIds {}",responseEntity.getBody());
+
+    }
+}

+ 33 - 0
meter-reading-suntront/.gitignore

@@ -0,0 +1,33 @@
+HELP.md
+target/
+!.mvn/wrapper/maven-wrapper.jar
+!**/src/main/**/target/
+!**/src/test/**/target/
+
+### STS ###
+.apt_generated
+.classpath
+.factorypath
+.project
+.settings
+.springBeans
+.sts4-cache
+
+### IntelliJ IDEA ###
+.idea
+*.iws
+*.iml
+*.ipr
+
+### NetBeans ###
+/nbproject/private/
+/nbbuild/
+/dist/
+/nbdist/
+/.nb-gradle/
+build/
+!**/src/main/**/build/
+!**/src/test/**/build/
+
+### VS Code ###
+.vscode/

+ 310 - 0
meter-reading-suntront/mvnw

@@ -0,0 +1,310 @@
+#!/bin/sh
+# ----------------------------------------------------------------------------
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#    https://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+# ----------------------------------------------------------------------------
+
+# ----------------------------------------------------------------------------
+# Maven Start Up Batch script
+#
+# Required ENV vars:
+# ------------------
+#   JAVA_HOME - location of a JDK home dir
+#
+# Optional ENV vars
+# -----------------
+#   M2_HOME - location of maven2's installed home dir
+#   MAVEN_OPTS - parameters passed to the Java VM when running Maven
+#     e.g. to debug Maven itself, use
+#       set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
+#   MAVEN_SKIP_RC - flag to disable loading of mavenrc files
+# ----------------------------------------------------------------------------
+
+if [ -z "$MAVEN_SKIP_RC" ] ; then
+
+  if [ -f /etc/mavenrc ] ; then
+    . /etc/mavenrc
+  fi
+
+  if [ -f "$HOME/.mavenrc" ] ; then
+    . "$HOME/.mavenrc"
+  fi
+
+fi
+
+# OS specific support.  $var _must_ be set to either true or false.
+cygwin=false;
+darwin=false;
+mingw=false
+case "`uname`" in
+  CYGWIN*) cygwin=true ;;
+  MINGW*) mingw=true;;
+  Darwin*) darwin=true
+    # Use /usr/libexec/java_home if available, otherwise fall back to /Library/Java/Home
+    # See https://developer.apple.com/library/mac/qa/qa1170/_index.html
+    if [ -z "$JAVA_HOME" ]; then
+      if [ -x "/usr/libexec/java_home" ]; then
+        export JAVA_HOME="`/usr/libexec/java_home`"
+      else
+        export JAVA_HOME="/Library/Java/Home"
+      fi
+    fi
+    ;;
+esac
+
+if [ -z "$JAVA_HOME" ] ; then
+  if [ -r /etc/gentoo-release ] ; then
+    JAVA_HOME=`java-config --jre-home`
+  fi
+fi
+
+if [ -z "$M2_HOME" ] ; then
+  ## resolve links - $0 may be a link to maven's home
+  PRG="$0"
+
+  # need this for relative symlinks
+  while [ -h "$PRG" ] ; do
+    ls=`ls -ld "$PRG"`
+    link=`expr "$ls" : '.*-> \(.*\)$'`
+    if expr "$link" : '/.*' > /dev/null; then
+      PRG="$link"
+    else
+      PRG="`dirname "$PRG"`/$link"
+    fi
+  done
+
+  saveddir=`pwd`
+
+  M2_HOME=`dirname "$PRG"`/..
+
+  # make it fully qualified
+  M2_HOME=`cd "$M2_HOME" && pwd`
+
+  cd "$saveddir"
+  # echo Using m2 at $M2_HOME
+fi
+
+# For Cygwin, ensure paths are in UNIX format before anything is touched
+if $cygwin ; then
+  [ -n "$M2_HOME" ] &&
+    M2_HOME=`cygpath --unix "$M2_HOME"`
+  [ -n "$JAVA_HOME" ] &&
+    JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
+  [ -n "$CLASSPATH" ] &&
+    CLASSPATH=`cygpath --path --unix "$CLASSPATH"`
+fi
+
+# For Mingw, ensure paths are in UNIX format before anything is touched
+if $mingw ; then
+  [ -n "$M2_HOME" ] &&
+    M2_HOME="`(cd "$M2_HOME"; pwd)`"
+  [ -n "$JAVA_HOME" ] &&
+    JAVA_HOME="`(cd "$JAVA_HOME"; pwd)`"
+fi
+
+if [ -z "$JAVA_HOME" ]; then
+  javaExecutable="`which javac`"
+  if [ -n "$javaExecutable" ] && ! [ "`expr \"$javaExecutable\" : '\([^ ]*\)'`" = "no" ]; then
+    # readlink(1) is not available as standard on Solaris 10.
+    readLink=`which readlink`
+    if [ ! `expr "$readLink" : '\([^ ]*\)'` = "no" ]; then
+      if $darwin ; then
+        javaHome="`dirname \"$javaExecutable\"`"
+        javaExecutable="`cd \"$javaHome\" && pwd -P`/javac"
+      else
+        javaExecutable="`readlink -f \"$javaExecutable\"`"
+      fi
+      javaHome="`dirname \"$javaExecutable\"`"
+      javaHome=`expr "$javaHome" : '\(.*\)/bin'`
+      JAVA_HOME="$javaHome"
+      export JAVA_HOME
+    fi
+  fi
+fi
+
+if [ -z "$JAVACMD" ] ; then
+  if [ -n "$JAVA_HOME"  ] ; then
+    if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
+      # IBM's JDK on AIX uses strange locations for the executables
+      JAVACMD="$JAVA_HOME/jre/sh/java"
+    else
+      JAVACMD="$JAVA_HOME/bin/java"
+    fi
+  else
+    JAVACMD="`which java`"
+  fi
+fi
+
+if [ ! -x "$JAVACMD" ] ; then
+  echo "Error: JAVA_HOME is not defined correctly." >&2
+  echo "  We cannot execute $JAVACMD" >&2
+  exit 1
+fi
+
+if [ -z "$JAVA_HOME" ] ; then
+  echo "Warning: JAVA_HOME environment variable is not set."
+fi
+
+CLASSWORLDS_LAUNCHER=org.codehaus.plexus.classworlds.launcher.Launcher
+
+# traverses directory structure from process work directory to filesystem root
+# first directory with .mvn subdirectory is considered project base directory
+find_maven_basedir() {
+
+  if [ -z "$1" ]
+  then
+    echo "Path not specified to find_maven_basedir"
+    return 1
+  fi
+
+  basedir="$1"
+  wdir="$1"
+  while [ "$wdir" != '/' ] ; do
+    if [ -d "$wdir"/.mvn ] ; then
+      basedir=$wdir
+      break
+    fi
+    # workaround for JBEAP-8937 (on Solaris 10/Sparc)
+    if [ -d "${wdir}" ]; then
+      wdir=`cd "$wdir/.."; pwd`
+    fi
+    # end of workaround
+  done
+  echo "${basedir}"
+}
+
+# concatenates all lines of a file
+concat_lines() {
+  if [ -f "$1" ]; then
+    echo "$(tr -s '\n' ' ' < "$1")"
+  fi
+}
+
+BASE_DIR=`find_maven_basedir "$(pwd)"`
+if [ -z "$BASE_DIR" ]; then
+  exit 1;
+fi
+
+##########################################################################################
+# Extension to allow automatically downloading the maven-wrapper.jar from Maven-central
+# This allows using the maven wrapper in projects that prohibit checking in binary data.
+##########################################################################################
+if [ -r "$BASE_DIR/.mvn/wrapper/maven-wrapper.jar" ]; then
+    if [ "$MVNW_VERBOSE" = true ]; then
+      echo "Found .mvn/wrapper/maven-wrapper.jar"
+    fi
+else
+    if [ "$MVNW_VERBOSE" = true ]; then
+      echo "Couldn't find .mvn/wrapper/maven-wrapper.jar, downloading it ..."
+    fi
+    if [ -n "$MVNW_REPOURL" ]; then
+      jarUrl="$MVNW_REPOURL/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar"
+    else
+      jarUrl="https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar"
+    fi
+    while IFS="=" read key value; do
+      case "$key" in (wrapperUrl) jarUrl="$value"; break ;;
+      esac
+    done < "$BASE_DIR/.mvn/wrapper/maven-wrapper.properties"
+    if [ "$MVNW_VERBOSE" = true ]; then
+      echo "Downloading from: $jarUrl"
+    fi
+    wrapperJarPath="$BASE_DIR/.mvn/wrapper/maven-wrapper.jar"
+    if $cygwin; then
+      wrapperJarPath=`cygpath --path --windows "$wrapperJarPath"`
+    fi
+
+    if command -v wget > /dev/null; then
+        if [ "$MVNW_VERBOSE" = true ]; then
+          echo "Found wget ... using wget"
+        fi
+        if [ -z "$MVNW_USERNAME" ] || [ -z "$MVNW_PASSWORD" ]; then
+            wget "$jarUrl" -O "$wrapperJarPath"
+        else
+            wget --http-user=$MVNW_USERNAME --http-password=$MVNW_PASSWORD "$jarUrl" -O "$wrapperJarPath"
+        fi
+    elif command -v curl > /dev/null; then
+        if [ "$MVNW_VERBOSE" = true ]; then
+          echo "Found curl ... using curl"
+        fi
+        if [ -z "$MVNW_USERNAME" ] || [ -z "$MVNW_PASSWORD" ]; then
+            curl -o "$wrapperJarPath" "$jarUrl" -f
+        else
+            curl --user $MVNW_USERNAME:$MVNW_PASSWORD -o "$wrapperJarPath" "$jarUrl" -f
+        fi
+
+    else
+        if [ "$MVNW_VERBOSE" = true ]; then
+          echo "Falling back to using Java to download"
+        fi
+        javaClass="$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.java"
+        # For Cygwin, switch paths to Windows format before running javac
+        if $cygwin; then
+          javaClass=`cygpath --path --windows "$javaClass"`
+        fi
+        if [ -e "$javaClass" ]; then
+            if [ ! -e "$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.class" ]; then
+                if [ "$MVNW_VERBOSE" = true ]; then
+                  echo " - Compiling MavenWrapperDownloader.java ..."
+                fi
+                # Compiling the Java class
+                ("$JAVA_HOME/bin/javac" "$javaClass")
+            fi
+            if [ -e "$BASE_DIR/.mvn/wrapper/MavenWrapperDownloader.class" ]; then
+                # Running the downloader
+                if [ "$MVNW_VERBOSE" = true ]; then
+                  echo " - Running MavenWrapperDownloader.java ..."
+                fi
+                ("$JAVA_HOME/bin/java" -cp .mvn/wrapper MavenWrapperDownloader "$MAVEN_PROJECTBASEDIR")
+            fi
+        fi
+    fi
+fi
+##########################################################################################
+# End of extension
+##########################################################################################
+
+export MAVEN_PROJECTBASEDIR=${MAVEN_BASEDIR:-"$BASE_DIR"}
+if [ "$MVNW_VERBOSE" = true ]; then
+  echo $MAVEN_PROJECTBASEDIR
+fi
+MAVEN_OPTS="$(concat_lines "$MAVEN_PROJECTBASEDIR/.mvn/jvm.config") $MAVEN_OPTS"
+
+# For Cygwin, switch paths to Windows format before running java
+if $cygwin; then
+  [ -n "$M2_HOME" ] &&
+    M2_HOME=`cygpath --path --windows "$M2_HOME"`
+  [ -n "$JAVA_HOME" ] &&
+    JAVA_HOME=`cygpath --path --windows "$JAVA_HOME"`
+  [ -n "$CLASSPATH" ] &&
+    CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
+  [ -n "$MAVEN_PROJECTBASEDIR" ] &&
+    MAVEN_PROJECTBASEDIR=`cygpath --path --windows "$MAVEN_PROJECTBASEDIR"`
+fi
+
+# Provide a "standardized" way to retrieve the CLI args that will
+# work with both Windows and non-Windows executions.
+MAVEN_CMD_LINE_ARGS="$MAVEN_CONFIG $@"
+export MAVEN_CMD_LINE_ARGS
+
+WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
+
+exec "$JAVACMD" \
+  $MAVEN_OPTS \
+  -classpath "$MAVEN_PROJECTBASEDIR/.mvn/wrapper/maven-wrapper.jar" \
+  "-Dmaven.home=${M2_HOME}" "-Dmaven.multiModuleProjectDirectory=${MAVEN_PROJECTBASEDIR}" \
+  ${WRAPPER_LAUNCHER} $MAVEN_CONFIG "$@"

+ 182 - 0
meter-reading-suntront/mvnw.cmd

@@ -0,0 +1,182 @@
+@REM ----------------------------------------------------------------------------
+@REM Licensed to the Apache Software Foundation (ASF) under one
+@REM or more contributor license agreements.  See the NOTICE file
+@REM distributed with this work for additional information
+@REM regarding copyright ownership.  The ASF licenses this file
+@REM to you under the Apache License, Version 2.0 (the
+@REM "License"); you may not use this file except in compliance
+@REM with the License.  You may obtain a copy of the License at
+@REM
+@REM    https://www.apache.org/licenses/LICENSE-2.0
+@REM
+@REM Unless required by applicable law or agreed to in writing,
+@REM software distributed under the License is distributed on an
+@REM "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+@REM KIND, either express or implied.  See the License for the
+@REM specific language governing permissions and limitations
+@REM under the License.
+@REM ----------------------------------------------------------------------------
+
+@REM ----------------------------------------------------------------------------
+@REM Maven Start Up Batch script
+@REM
+@REM Required ENV vars:
+@REM JAVA_HOME - location of a JDK home dir
+@REM
+@REM Optional ENV vars
+@REM M2_HOME - location of maven2's installed home dir
+@REM MAVEN_BATCH_ECHO - set to 'on' to enable the echoing of the batch commands
+@REM MAVEN_BATCH_PAUSE - set to 'on' to wait for a keystroke before ending
+@REM MAVEN_OPTS - parameters passed to the Java VM when running Maven
+@REM     e.g. to debug Maven itself, use
+@REM set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
+@REM MAVEN_SKIP_RC - flag to disable loading of mavenrc files
+@REM ----------------------------------------------------------------------------
+
+@REM Begin all REM lines with '@' in case MAVEN_BATCH_ECHO is 'on'
+@echo off
+@REM set title of command window
+title %0
+@REM enable echoing by setting MAVEN_BATCH_ECHO to 'on'
+@if "%MAVEN_BATCH_ECHO%" == "on"  echo %MAVEN_BATCH_ECHO%
+
+@REM set %HOME% to equivalent of $HOME
+if "%HOME%" == "" (set "HOME=%HOMEDRIVE%%HOMEPATH%")
+
+@REM Execute a user defined script before this one
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPre
+@REM check for pre script, once with legacy .bat ending and once with .cmd ending
+if exist "%HOME%\mavenrc_pre.bat" call "%HOME%\mavenrc_pre.bat"
+if exist "%HOME%\mavenrc_pre.cmd" call "%HOME%\mavenrc_pre.cmd"
+:skipRcPre
+
+@setlocal
+
+set ERROR_CODE=0
+
+@REM To isolate internal variables from possible post scripts, we use another setlocal
+@setlocal
+
+@REM ==== START VALIDATION ====
+if not "%JAVA_HOME%" == "" goto OkJHome
+
+echo.
+echo Error: JAVA_HOME not found in your environment. >&2
+echo Please set the JAVA_HOME variable in your environment to match the >&2
+echo location of your Java installation. >&2
+echo.
+goto error
+
+:OkJHome
+if exist "%JAVA_HOME%\bin\java.exe" goto init
+
+echo.
+echo Error: JAVA_HOME is set to an invalid directory. >&2
+echo JAVA_HOME = "%JAVA_HOME%" >&2
+echo Please set the JAVA_HOME variable in your environment to match the >&2
+echo location of your Java installation. >&2
+echo.
+goto error
+
+@REM ==== END VALIDATION ====
+
+:init
+
+@REM Find the project base dir, i.e. the directory that contains the folder ".mvn".
+@REM Fallback to current working directory if not found.
+
+set MAVEN_PROJECTBASEDIR=%MAVEN_BASEDIR%
+IF NOT "%MAVEN_PROJECTBASEDIR%"=="" goto endDetectBaseDir
+
+set EXEC_DIR=%CD%
+set WDIR=%EXEC_DIR%
+:findBaseDir
+IF EXIST "%WDIR%"\.mvn goto baseDirFound
+cd ..
+IF "%WDIR%"=="%CD%" goto baseDirNotFound
+set WDIR=%CD%
+goto findBaseDir
+
+:baseDirFound
+set MAVEN_PROJECTBASEDIR=%WDIR%
+cd "%EXEC_DIR%"
+goto endDetectBaseDir
+
+:baseDirNotFound
+set MAVEN_PROJECTBASEDIR=%EXEC_DIR%
+cd "%EXEC_DIR%"
+
+:endDetectBaseDir
+
+IF NOT EXIST "%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config" goto endReadAdditionalConfig
+
+@setlocal EnableExtensions EnableDelayedExpansion
+for /F "usebackq delims=" %%a in ("%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config") do set JVM_CONFIG_MAVEN_PROPS=!JVM_CONFIG_MAVEN_PROPS! %%a
+@endlocal & set JVM_CONFIG_MAVEN_PROPS=%JVM_CONFIG_MAVEN_PROPS%
+
+:endReadAdditionalConfig
+
+SET MAVEN_JAVA_EXE="%JAVA_HOME%\bin\java.exe"
+set WRAPPER_JAR="%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.jar"
+set WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
+
+set DOWNLOAD_URL="https://repo.maven.apache.org/maven2/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar"
+
+FOR /F "tokens=1,2 delims==" %%A IN ("%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.properties") DO (
+    IF "%%A"=="wrapperUrl" SET DOWNLOAD_URL=%%B
+)
+
+@REM Extension to allow automatically downloading the maven-wrapper.jar from Maven-central
+@REM This allows using the maven wrapper in projects that prohibit checking in binary data.
+if exist %WRAPPER_JAR% (
+    if "%MVNW_VERBOSE%" == "true" (
+        echo Found %WRAPPER_JAR%
+    )
+) else (
+    if not "%MVNW_REPOURL%" == "" (
+        SET DOWNLOAD_URL="%MVNW_REPOURL%/io/takari/maven-wrapper/0.5.6/maven-wrapper-0.5.6.jar"
+    )
+    if "%MVNW_VERBOSE%" == "true" (
+        echo Couldn't find %WRAPPER_JAR%, downloading it ...
+        echo Downloading from: %DOWNLOAD_URL%
+    )
+
+    powershell -Command "&{"^
+		"$webclient = new-object System.Net.WebClient;"^
+		"if (-not ([string]::IsNullOrEmpty('%MVNW_USERNAME%') -and [string]::IsNullOrEmpty('%MVNW_PASSWORD%'))) {"^
+		"$webclient.Credentials = new-object System.Net.NetworkCredential('%MVNW_USERNAME%', '%MVNW_PASSWORD%');"^
+		"}"^
+		"[Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; $webclient.DownloadFile('%DOWNLOAD_URL%', '%WRAPPER_JAR%')"^
+		"}"
+    if "%MVNW_VERBOSE%" == "true" (
+        echo Finished downloading %WRAPPER_JAR%
+    )
+)
+@REM End of extension
+
+@REM Provide a "standardized" way to retrieve the CLI args that will
+@REM work with both Windows and non-Windows executions.
+set MAVEN_CMD_LINE_ARGS=%*
+
+%MAVEN_JAVA_EXE% %JVM_CONFIG_MAVEN_PROPS% %MAVEN_OPTS% %MAVEN_DEBUG_OPTS% -classpath %WRAPPER_JAR% "-Dmaven.multiModuleProjectDirectory=%MAVEN_PROJECTBASEDIR%" %WRAPPER_LAUNCHER% %MAVEN_CONFIG% %*
+if ERRORLEVEL 1 goto error
+goto end
+
+:error
+set ERROR_CODE=1
+
+:end
+@endlocal & set ERROR_CODE=%ERROR_CODE%
+
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPost
+@REM check for post script, once with legacy .bat ending and once with .cmd ending
+if exist "%HOME%\mavenrc_post.bat" call "%HOME%\mavenrc_post.bat"
+if exist "%HOME%\mavenrc_post.cmd" call "%HOME%\mavenrc_post.cmd"
+:skipRcPost
+
+@REM pause the script if MAVEN_BATCH_PAUSE is set to 'on'
+if "%MAVEN_BATCH_PAUSE%" == "on" pause
+
+if "%MAVEN_TERMINATE_CMD%" == "on" exit %ERROR_CODE%
+
+exit /B %ERROR_CODE%

+ 95 - 0
meter-reading-suntront/pom.xml

@@ -0,0 +1,95 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
+    <modelVersion>4.0.0</modelVersion>
+    <parent>
+        <groupId>org.springframework.boot</groupId>
+        <artifactId>spring-boot-starter-parent</artifactId>
+        <version>2.2.6.RELEASE</version>
+        <relativePath/> <!-- lookup parent from repository -->
+    </parent>
+    <groupId>com.zoniot</groupId>
+    <artifactId>meter-reading-suntront</artifactId>
+    <version>0.0.1-SNAPSHOT</version>
+    <name>meter-reading-suntront</name>
+    <description>新天抄表对接</description>
+    <properties>
+        <java.version>1.8</java.version>
+    </properties>
+    <dependencies>
+        <dependency>
+            <groupId>org.springframework.boot</groupId>
+            <artifactId>spring-boot-starter-web</artifactId>
+        </dependency>
+
+        <dependency>
+            <groupId>org.projectlombok</groupId>
+            <artifactId>lombok</artifactId>
+            <optional>true</optional>
+        </dependency>
+        <dependency>
+            <groupId>org.springframework.boot</groupId>
+            <artifactId>spring-boot-starter-test</artifactId>
+            <scope>test</scope>
+        </dependency>
+        <!-- 构建Restful API -->
+        <dependency>
+            <groupId>io.springfox</groupId>
+            <artifactId>springfox-swagger2</artifactId>
+            <version>2.7.0</version>
+        </dependency>
+        <dependency>
+            <groupId>io.springfox</groupId>
+            <artifactId>springfox-swagger-ui</artifactId>
+            <version>2.7.0</version>
+        </dependency>
+        <!-- 数据源连接池 -->
+        <dependency>
+            <groupId>com.alibaba</groupId>
+            <artifactId>druid-spring-boot-starter</artifactId>
+            <version>1.1.9</version>
+        </dependency>
+        <dependency>
+            <groupId>com.alibaba</groupId>
+            <artifactId>fastjson</artifactId>
+            <version>1.2.41</version>
+        </dependency>
+        <dependency>
+            <groupId>org.apache.commons</groupId>
+            <artifactId>commons-lang3</artifactId>
+        </dependency>
+        <dependency>
+            <groupId>mysql</groupId>
+            <artifactId>mysql-connector-java</artifactId>
+        </dependency>
+        <dependency>
+            <groupId>org.mybatis.spring.boot</groupId>
+            <artifactId>mybatis-spring-boot-starter</artifactId>
+            <version>1.3.2</version>
+        </dependency>
+        <!-- mongodb -->
+        <dependency>
+            <groupId>org.springframework.boot</groupId>
+            <artifactId>spring-boot-starter-data-mongodb</artifactId>
+        </dependency>
+
+    </dependencies>
+
+    <build>
+        <plugins>
+            <plugin>
+                <groupId>org.springframework.boot</groupId>
+                <artifactId>spring-boot-maven-plugin</artifactId>
+                <configuration>
+                    <excludes>
+                        <exclude>
+                            <groupId>org.projectlombok</groupId>
+                            <artifactId>lombok</artifactId>
+                        </exclude>
+                    </excludes>
+                </configuration>
+            </plugin>
+        </plugins>
+    </build>
+
+</project>

+ 13 - 0
meter-reading-suntront/src/main/java/com/zoniot/suntront/MeterReadingSuntrontApplication.java

@@ -0,0 +1,13 @@
+package com.zoniot.suntront;
+
+import org.springframework.boot.SpringApplication;
+import org.springframework.boot.autoconfigure.SpringBootApplication;
+
+@SpringBootApplication
+public class MeterReadingSuntrontApplication {
+
+    public static void main(String[] args) {
+        SpringApplication.run(MeterReadingSuntrontApplication.class, args);
+    }
+
+}

+ 68 - 0
meter-reading-suntront/src/main/java/com/zoniot/suntront/config/SwaggerConfig.java

@@ -0,0 +1,68 @@
+package com.zoniot.suntront.config;
+
+import org.springframework.boot.autoconfigure.web.servlet.error.BasicErrorController;
+import org.springframework.context.annotation.Bean;
+import org.springframework.context.annotation.Configuration;
+import springfox.documentation.builders.ApiInfoBuilder;
+import springfox.documentation.builders.PathSelectors;
+import springfox.documentation.builders.RequestHandlerSelectors;
+import springfox.documentation.service.ApiInfo;
+import springfox.documentation.service.ApiKey;
+import springfox.documentation.service.AuthorizationScope;
+import springfox.documentation.service.SecurityReference;
+import springfox.documentation.spi.DocumentationType;
+import springfox.documentation.spi.service.contexts.SecurityContext;
+import springfox.documentation.spring.web.plugins.Docket;
+import springfox.documentation.swagger2.annotations.EnableSwagger2;
+
+import java.util.List;
+
+import static com.google.common.collect.Lists.newArrayList;
+
+@Configuration
+@EnableSwagger2
+public class SwaggerConfig {
+    @Bean
+    public Docket api() {
+        return new Docket(DocumentationType.SWAGGER_2)
+                .ignoredParameterTypes(BasicErrorController.class)
+                .groupName("web")
+                .select()
+                .apis(RequestHandlerSelectors.any())
+                .paths(PathSelectors.any())
+                .build()
+                .apiInfo(apiInfo())
+                .securitySchemes(securitySchemes())
+                .securityContexts(securityContexts());
+    }
+
+
+    private ApiInfo apiInfo() {
+        return new ApiInfoBuilder()
+                .title("接口文档Api")
+                .build();
+    }
+
+    private List<ApiKey> securitySchemes() {
+        return newArrayList(
+                new ApiKey("Authorization", "Authorization", "header"));
+    }
+
+    private List<SecurityContext> securityContexts() {
+        return newArrayList(
+                SecurityContext.builder()
+                        .securityReferences(defaultAuth())
+                        .forPaths(PathSelectors.regex("^(?!auth).*$"))
+                        .build()
+        );
+    }
+
+    List<SecurityReference> defaultAuth() {
+        AuthorizationScope authorizationScope = new AuthorizationScope("global", "accessEverything");
+        AuthorizationScope[] authorizationScopes = new AuthorizationScope[1];
+        authorizationScopes[0] = authorizationScope;
+        return newArrayList(
+                new SecurityReference("Authorization", authorizationScopes));
+    }
+
+}

+ 37 - 0
meter-reading-suntront/src/main/java/com/zoniot/suntront/controller/ReadingMeterController.java

@@ -0,0 +1,37 @@
+package com.zoniot.suntront.controller;
+
+
+import com.zoniot.suntront.service.ReadingMeterService;
+import io.swagger.annotations.Api;
+import io.swagger.annotations.ApiOperation;
+import io.swagger.annotations.ApiParam;
+import org.springframework.beans.factory.annotation.Autowired;
+import org.springframework.format.annotation.DateTimeFormat;
+import org.springframework.stereotype.Controller;
+import org.springframework.web.bind.annotation.GetMapping;
+import org.springframework.web.bind.annotation.RequestParam;
+import org.springframework.web.bind.annotation.ResponseBody;
+
+import java.time.LocalDate;
+import java.util.List;
+
+@Controller
+@Api(tags = "抄表")
+public class ReadingMeterController {
+    @Autowired
+    private ReadingMeterService readingMeterService;
+
+    @ResponseBody
+    @GetMapping("/ReadingMeter")
+    @ApiOperation(value = "查询抄表")
+    public String getReadingMeter(
+            @ApiParam(value = "冻结日期 yyyy-MM-dd", required = false) @RequestParam(required = false) @DateTimeFormat(pattern = "yyyy-MM-dd") LocalDate ReadingTime
+
+    ){
+
+        readingMeterService.getReadingMeter(ReadingTime);
+        return null;
+    }
+
+
+}

+ 201 - 0
meter-reading-suntront/src/main/java/com/zoniot/suntront/repository/MeterReadRecord.java

@@ -0,0 +1,201 @@
+package com.zoniot.suntront.repository;
+
+import lombok.Data;
+import org.springframework.data.mongodb.core.mapping.Document;
+
+import java.io.Serializable;
+import java.math.BigDecimal;
+import java.util.Date;
+import java.util.Map;
+
+/**
+ * <p>抄表记录</p>
+ * sh.enableSharding("meter-reading-database");
+ * sh.shardCollection("meter-reading-database.sc_meter_read_record",{"readDate":1,"deviceId":1});
+ * db.sc_meter_read_record.createIndex({readDate:1,customerId:1,buildingId:1,siteId:1,sysId:1,readStatus:1,concentratorId:1},{background: true,name:'idx_1'})
+ * @Author wilian.peng
+ * @Date 2020/12/22 16:59
+ * @Version 1.0
+ */
+@Data
+@Document(collection = "sc_meter_read_record")
+public class MeterReadRecord implements Serializable {
+    /**
+    * 主键
+    */
+    private Long id;
+
+    /**
+    * 读表日期
+    */
+    private Integer readDate;
+
+    /**
+     * 站点
+     */
+    private Integer siteId;
+
+    /**
+     * 场景
+     */
+    private Integer sysId;
+
+    /**
+    * 省
+    */
+    private Integer province;
+
+    /**
+    * 市
+    */
+    private Integer city;
+
+    /**
+    * 区
+    */
+    private Integer region;
+
+    /**
+    * 小区
+    */
+    private Integer community;
+
+    /**
+    * 客户
+    */
+    private Integer customerId;
+
+    /**
+    * 集中器
+    */
+    private Integer concentratorId;
+
+    /**
+    * 采集器
+    */
+    private Integer collectorId;
+
+    /**
+    * 建筑
+    */
+    private Integer buildingId;
+
+    /**
+    * 安装地址
+    */
+    private String location;
+
+    /**
+    * 设备类型
+    */
+    private Integer deviceTypeId;
+
+    /**
+    * 设备id
+    */
+    private Long deviceId;
+
+    /**
+    * 节点编号
+    */
+    private String deviceNo;
+
+    /**
+    * 电子号
+    */
+    private String meterNo;
+
+    /**
+    * 档案号
+    */
+    private String meterFileNo;
+
+    /**
+    * 读表时间
+    */
+    private Date readTime;
+
+    /**
+    * 读表状态
+    */
+    private String readStatus;
+
+    /**
+    * 读表数据
+    */
+    private String readData;
+
+
+    /**
+     * 阀门状态 0:关 1:开 2:无阀 3:异常
+     */
+    private String valveState ;
+
+    /**
+    * 最近有效数据
+    */
+    private String lastValid;
+
+    /**
+    * 距离上次的消耗
+    */
+    private BigDecimal lastCost;
+
+    /**
+    * 状态
+    */
+    private Integer status;
+
+    /**
+    * 创建时间
+    */
+    private Date dateCreate;
+
+    /**
+    * 更新时间
+    */
+    private Date dateUpdate;
+
+    /**
+    * 创建人
+    */
+    private String createBy;
+
+    /**
+    * 更新人
+    */
+    private String updateBy;
+
+    /***********************************以下字段将存入MongoDB中**************************************/
+    private String communityName;
+
+    private String buildingName ;
+
+    private String customerName ;
+
+    private String provinceName ;
+
+    private String cityName ;
+
+    private String regionName ;
+
+    private String deviceTypeName ;
+
+    private String concentratorNo ;
+
+    private String collectorNo ;
+
+    private Integer manufacturerId ;
+
+    private String manufacturerName ;
+
+    private Integer channelNumberId;
+
+    private String channelName ;
+
+    /**
+     * 最后上送数据,格式如下:
+     * {"数据ID":11111,data:{"WSV":"1","VOL":"2.5"}}
+     */
+    private Map<String, String> lastSendData ;
+}

+ 11 - 0
meter-reading-suntront/src/main/java/com/zoniot/suntront/repository/MeterReadRecordRepository.java

@@ -0,0 +1,11 @@
+package com.zoniot.suntront.repository;
+
+import org.springframework.data.mongodb.repository.MongoRepository;
+
+import java.util.List;
+
+public interface MeterReadRecordRepository extends MongoRepository<MeterReadRecord, Long> {
+    MeterReadRecord findByDeviceIdAndReadDate(Long deviceId, Integer date);
+
+    List<MeterReadRecord> findByReadDateAndCustomerIdAndReadStatusAndMeterNoIn(Integer date, Integer customerId, String readStatus, List<String> meterNos);
+}

+ 12 - 0
meter-reading-suntront/src/main/java/com/zoniot/suntront/service/ReadingMeterService.java

@@ -0,0 +1,12 @@
+package com.zoniot.suntront.service;
+
+
+
+
+import java.time.LocalDate;
+import java.util.List;
+
+public interface ReadingMeterService {
+
+    void getReadingMeter(LocalDate readingTime);
+}

+ 50 - 0
meter-reading-suntront/src/main/java/com/zoniot/suntront/service/impl/ReadingMeterServiceImpl.java

@@ -0,0 +1,50 @@
+package com.zoniot.suntront.service.impl;
+
+import com.alibaba.fastjson.JSON;
+import com.zoniot.suntront.service.ReadingMeterService;
+import lombok.extern.slf4j.Slf4j;
+import org.springframework.beans.factory.annotation.Autowired;
+import org.springframework.beans.factory.annotation.Value;
+import org.springframework.stereotype.Service;
+
+import javax.annotation.Resource;
+import java.io.UnsupportedEncodingException;
+import java.time.LocalDate;
+import java.time.format.DateTimeFormatter;
+import java.util.Base64;
+import java.util.List;
+
+@Slf4j
+@Service
+public class ReadingMeterServiceImpl implements ReadingMeterService {
+
+
+
+    @Value("${customerId}")
+    Integer customerId;
+
+
+    @Override
+    public void getReadingMeter(LocalDate readingTime) {
+
+    }
+
+    private String getAccessToken(String dateTime){
+        String appId="hx123";
+        String appSecret="1842e6e6725c5589";
+        return appId + appSecret + dateTime;
+    }
+
+    private String getAuthorization(String dateTime){
+        String appId="hx123";
+        String key = appId + ":" + dateTime;
+        try {
+            return Base64.getEncoder().encodeToString(key.getBytes("utf-8"));
+        } catch (UnsupportedEncodingException e) {
+            e.printStackTrace();
+        }
+        return null;
+    }
+
+
+}

+ 44 - 0
meter-reading-suntront/src/main/resources/application-dev.properties

@@ -0,0 +1,44 @@
+spring.application.name=reading-meter
+server.servlet.context-path=/api
+server.port=8080
+logging.level.root=info
+logging.file.path=C:/logs/reading-meter
+
+spring.datasource.driver-class-name=com.mysql.jdbc.Driver
+spring.datasource.type=com.alibaba.druid.pool.DruidDataSource
+spring.datasource.url=jdbc:mysql://114.135.61.188:33306/smart_city_sit_6_10?characterEncoding=utf8&useSSL=false&serverTimezone=Asia/Shanghai&zeroDateTimeBehavior=convertToNull
+spring.datasource.username=root
+spring.datasource.password=100Zone@123
+spring.datasource.druid.initial-size=5
+spring.datasource.druid.min-idle=5
+spring.datasource.druid.max-active=20
+spring.datasource.druid.max-wait=60000
+spring.datasource.druid.time-between-eviction-runs-millis=60000
+spring.datasource.druid.min-evictable-idle-time-millis=300000
+spring.datasource.druid.validation-query=SELECT 1
+spring.datasource.druid.test-while-idle=true
+spring.datasource.druid.test-on-borrow=true
+spring.datasource.druid.test-on-return=false
+spring.datasource.druid.pool-prepared-statements=true
+spring.datasource.druid.max-pool-prepared-statement-per-connection-size=20
+spring.datasource.druid.filters=stat,wall
+spring.datasource.druid.connection-properties=druid.stat.mergeSql=true;druid.stat.slowSqlMillis=5000
+
+# mybatis_config
+mybatis.mapper-locations=classpath*:mapper/*.xml
+mybatis.type-aliases-package=com.bz.smart_city.entity
+mybatis.configuration.map-underscore-to-camel-case=true
+mybatis.configuration.log-impl=org.apache.ibatis.logging.stdout.StdOutImpl
+mybatis.configuration.use-column-label=true
+
+spring.jackson.time-zone=GMT+8
+
+customerId=46
+water-cloud-url=http://114.135.61.188:58080
+
+appId=hx123
+appSecret=1842e6e6725c5589
+
+
+
+

+ 37 - 0
meter-reading-suntront/src/main/resources/application-prd.properties

@@ -0,0 +1,37 @@
+spring.application.name=reading-meter
+server.servlet.context-path=/api
+server.port=9002
+logging.level.root=info
+logging.file.path=/home/test/intergration/bozhou/logs
+
+spring.datasource.driver-class-name=com.mysql.jdbc.Driver
+spring.datasource.type=com.alibaba.druid.pool.DruidDataSource
+spring.datasource.url=jdbc:mysql://47.112.217.10:3306/smart_city?characterEncoding=utf8&useSSL=false&serverTimezone=Asia/Shanghai&zeroDateTimeBehavior=convertToNull
+spring.datasource.username=root
+spring.datasource.password=100Zone@123
+spring.datasource.druid.initial-size=5
+spring.datasource.druid.min-idle=5
+spring.datasource.druid.max-active=20
+spring.datasource.druid.max-wait=60000
+spring.datasource.druid.time-between-eviction-runs-millis=60000
+spring.datasource.druid.min-evictable-idle-time-millis=300000
+spring.datasource.druid.validation-query=SELECT 1
+spring.datasource.druid.test-while-idle=true
+spring.datasource.druid.test-on-borrow=true
+spring.datasource.druid.test-on-return=false
+spring.datasource.druid.pool-prepared-statements=true
+spring.datasource.druid.max-pool-prepared-statement-per-connection-size=20
+spring.datasource.druid.filters=stat,wall
+spring.datasource.druid.connection-properties=druid.stat.mergeSql=true;druid.stat.slowSqlMillis=5000
+
+# mybatis_config
+mybatis.mapper-locations=classpath*:mapper/*.xml
+mybatis.type-aliases-package=com.bz.smart_city.entity
+mybatis.configuration.map-underscore-to-camel-case=true
+mybatis.configuration.log-impl=org.apache.ibatis.logging.stdout.StdOutImpl
+mybatis.configuration.use-column-label=true
+
+spring.jackson.time-zone=GMT+8
+
+customerId=79
+water-cloud-url=http://39.108.175.9:8090

+ 37 - 0
meter-reading-suntront/src/main/resources/application-sit.properties

@@ -0,0 +1,37 @@
+spring.application.name=reading-meter
+server.servlet.context-path=/api
+server.port=9002
+logging.level.root=info
+logging.file.path=/home/test/intergration/bozhou/logs
+
+spring.datasource.driver-class-name=com.mysql.jdbc.Driver
+spring.datasource.type=com.alibaba.druid.pool.DruidDataSource
+spring.datasource.url=jdbc:mysql://114.135.61.188:33306/smart_city_sit_6_10?characterEncoding=utf8&useSSL=false&serverTimezone=Asia/Shanghai&zeroDateTimeBehavior=convertToNull
+spring.datasource.username=root
+spring.datasource.password=100Zone@123
+spring.datasource.druid.initial-size=5
+spring.datasource.druid.min-idle=5
+spring.datasource.druid.max-active=20
+spring.datasource.druid.max-wait=60000
+spring.datasource.druid.time-between-eviction-runs-millis=60000
+spring.datasource.druid.min-evictable-idle-time-millis=300000
+spring.datasource.druid.validation-query=SELECT 1
+spring.datasource.druid.test-while-idle=true
+spring.datasource.druid.test-on-borrow=true
+spring.datasource.druid.test-on-return=false
+spring.datasource.druid.pool-prepared-statements=true
+spring.datasource.druid.max-pool-prepared-statement-per-connection-size=20
+spring.datasource.druid.filters=stat,wall
+spring.datasource.druid.connection-properties=druid.stat.mergeSql=true;druid.stat.slowSqlMillis=5000
+
+# mybatis_config
+mybatis.mapper-locations=classpath*:mapper/*.xml
+mybatis.type-aliases-package=com.bz.smart_city.entity
+mybatis.configuration.map-underscore-to-camel-case=true
+mybatis.configuration.log-impl=org.apache.ibatis.logging.stdout.StdOutImpl
+mybatis.configuration.use-column-label=true
+
+spring.jackson.time-zone=GMT+8
+
+customerId=46
+water-cloud-url=http://114.135.61.188:58080

+ 2 - 0
meter-reading-suntront/src/main/resources/application.properties

@@ -0,0 +1,2 @@
+#开发环境:dev  测试环境:sit  线上环境:prd  演示环境:uat
+spring.profiles.active=dev

+ 23 - 0
meter-reading-suntront/src/main/resources/logback-spring.xml

@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<configuration>
+    <springProperty scope="context" name="LOG_PATH" source="logging.file.path" defaultValue="/tmp" />
+    <include resource="org/springframework/boot/logging/logback/defaults.xml" />
+    <include resource="org/springframework/boot/logging/logback/console-appender.xml" />
+    <appender name="TIME_FILE"
+              class="ch.qos.logback.core.rolling.RollingFileAppender">
+        <encoder>
+            <pattern>${FILE_LOG_PATTERN}</pattern>
+        </encoder>
+        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
+            <fileNamePattern>${LOG_PATH}/reading-meter.%d{yyyy-MM-dd}.%i.log</fileNamePattern>
+            <maxHistory>365</maxHistory>
+            <timeBasedFileNamingAndTriggeringPolicy class="ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP">
+                <maxFileSize>100MB</maxFileSize>
+            </timeBasedFileNamingAndTriggeringPolicy>
+        </rollingPolicy>
+    </appender>
+    <root level="INFO">
+        <appender-ref ref="CONSOLE" />
+        <appender-ref ref="TIME_FILE" />
+    </root>
+</configuration>

+ 13 - 0
meter-reading-suntront/src/test/java/com/zoniot/suntront/MeterReadingSuntrontApplicationTests.java

@@ -0,0 +1,13 @@
+package com.zoniot.suntront;
+
+import org.junit.jupiter.api.Test;
+import org.springframework.boot.test.context.SpringBootTest;
+
+@SpringBootTest
+class MeterReadingSuntrontApplicationTests {
+
+    @Test
+    void contextLoads() {
+    }
+
+}